Subiject: Arraylmplementation uses unsetted(nulled) paths

Description

The Arraylmplementation tries to render non existing paths when an path is unset with ">".
The Reason is, that the TypoScript Parser doesn't remove the path, instead it sets it to NULL.

As a quick fix i changed the Arraylmplementation to check if the path is null to skip it.

But in general this should be properly handled by the Parser.

Related issues:

related to TYPOS.TypoScript - Bug # 44903: Unsetting paths only sets the Path... New

2013-01-29

Associated revisions

Revision 978db1f2 - 2013-01-29 11:48 - Marc Neuhaus

[BUGFIX] Add a check for unsetted Paths in Arrays

When a path is unset it isn't really unset by the TypoScript

Parser, instead it's set to NULL. This can throw an error

of non existing paths that TypoScript tries to render.

As a temporary Fix this changeset adds a check if the

path is NULL to skip it.

Resolves: #44902

Change-Id: Ib00a17a54092cca7f9786a42bbfe436e00bc6ab

History

#1 - 2013-01-29 11:48 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.

It is available at https://review.typo3.org/17785

#2 - 2013-01-30 22:32 - Sebastian Kurfuerst
- Status changed from New to Resolved

- Assigned To set to Marc Neuhaus
